Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  object BTypes
  Definition Classes
    jvm
- InlineInfo
- MethodInlineInfo

c

scala.tools.nsc.backend.jvm.BTypes

# MethodInlineInfo 

###

#### final case class MethodInlineInfo(effectivelyFinal: Boolean, annotatedInline: Boolean, annotatedNoInline: Boolean) extends Product with Serializable

Metadata about a method, used by the inliner.

effectivelyFinal

  True if the method cannot be overridden (in Scala)

annotatedInline

  True if the method is annotated `@inline`

annotatedNoInline

  True if the method is annotated `@noinline`

Source
  BTypes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MethodInlineInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MethodInlineInfo(effectivelyFinal: Boolean, annotatedInline: Boolean, annotatedNoInline: Boolean)

   effectivelyFinal

     True if the method cannot be overridden (in Scala)

   annotatedInline

     True if the method is annotated `@inline`

   annotatedNoInline

     True if the method is annotated `@noinline`

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MethodInlineInfo to any2stringadd[MethodInlineInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MethodInlineInfo, B)
   Implicit
     This member is added by an implicit conversion from MethodInlineInfo to ArrowAssoc[MethodInlineInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val annotatedInline: Boolean
7.  val annotatedNoInline: Boolean
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  val effectivelyFinal: Boolean
11.  def ensuring(cond: (MethodInlineInfo) ⇒ Boolean, msg: ⇒ Any): MethodInlineInfo
    Implicit
      This member is added by an implicit conversion from MethodInlineInfo to Ensuring[MethodInlineInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (MethodInlineInfo) ⇒ Boolean): MethodInlineInfo
    Implicit
      This member is added by an implicit conversion from MethodInlineInfo to Ensuring[MethodInlineInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): MethodInlineInfo
    Implicit
      This member is added by an implicit conversion from MethodInlineInfo to Ensuring[MethodInlineInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): MethodInlineInfo
    Implicit
      This member is added by an implicit conversion from MethodInlineInfo to Ensuring[MethodInlineInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MethodInlineInfo to StringFormat[MethodInlineInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (MethodInlineInfo, B)
    Implicit
      This member is added by an implicit conversion from MethodInlineInfo to ArrowAssoc[MethodInlineInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MethodInlineInfo to any2stringadd[MethodInlineInfo]

### Inherited by implicit conversion StringFormat from MethodInlineInfo to StringFormat[MethodInlineInfo]

### Inherited by implicit conversion Ensuring from MethodInlineInfo to Ensuring[MethodInlineInfo]

### Inherited by implicit conversion ArrowAssoc from MethodInlineInfo to ArrowAssoc[MethodInlineInfo]

### Ungrouped